Bug 1155756 - NoSuchGroup: None
Summary: NoSuchGroup: None
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:33901ee55a74254ee2b76d6cee0...
Depends On:
Blocks: F21BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-10-22 18:22 UTC by ericm24x7
Modified: 2014-10-31 02:42 UTC (History)
6 users (show)

Fixed In Version: anaconda-21.48.13-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-31 02:42:35 UTC


Attachments (Terms of Use)
File: anaconda-tb (350.96 KB, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: anaconda.log (21.96 KB, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: environ (459 bytes, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: ks.cfg (578 bytes, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: lsblk_output (1.39 KB, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: nmcli_dev_list (1.35 KB, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: os_info (377 bytes, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: program.log (23.47 KB, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: storage.log (121.42 KB, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: syslog (88.08 KB, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: ifcfg.log (1.25 KB, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details
File: packaging.log (1.94 KB, text/plain)
2014-10-22 18:22 UTC, ericm24x7
no flags Details

Description ericm24x7 2014-10-22 18:22:15 UTC
Description of problem:
Traceback occurred after selecting a package:
- Fedora Desktop or GNOME desktop

Version-Release number of selected component:
anaconda-21.48.10-1

The following was filed automatically by anaconda:
anaconda 21.48.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 990, in environmentGroups
    raise NoSuchGroup(environmentid)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 420, in on_environment_activated
    for groupid in self.payload.environmentGroups(self.environment):
NoSuchGroup: None

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=http://192.168.5.106/a/m/sf/dev/x86_64/os/isolinux/initrd.img inst.ks=http://192.168.5.106/a/ks/fddb1 BOOT_IMAGE=http://192.168.5.106/a/m/sf/dev/x86_64/os/isolinux/vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.17.1-302.fc21.x86_64
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 ericm24x7 2014-10-22 18:22:17 UTC
Created attachment 949516 [details]
File: anaconda-tb

Comment 2 ericm24x7 2014-10-22 18:22:18 UTC
Created attachment 949517 [details]
File: anaconda.log

Comment 3 ericm24x7 2014-10-22 18:22:18 UTC
Created attachment 949518 [details]
File: environ

Comment 4 ericm24x7 2014-10-22 18:22:19 UTC
Created attachment 949519 [details]
File: ks.cfg

Comment 5 ericm24x7 2014-10-22 18:22:19 UTC
Created attachment 949520 [details]
File: lsblk_output

Comment 6 ericm24x7 2014-10-22 18:22:20 UTC
Created attachment 949521 [details]
File: nmcli_dev_list

Comment 7 ericm24x7 2014-10-22 18:22:20 UTC
Created attachment 949522 [details]
File: os_info

Comment 8 ericm24x7 2014-10-22 18:22:21 UTC
Created attachment 949523 [details]
File: program.log

Comment 9 ericm24x7 2014-10-22 18:22:22 UTC
Created attachment 949524 [details]
File: storage.log

Comment 10 ericm24x7 2014-10-22 18:22:23 UTC
Created attachment 949525 [details]
File: syslog

Comment 11 ericm24x7 2014-10-22 18:22:23 UTC
Created attachment 949526 [details]
File: ifcfg.log

Comment 12 ericm24x7 2014-10-22 18:22:24 UTC
Created attachment 949527 [details]
File: packaging.log

Comment 13 David Shea 2014-10-23 13:54:18 UTC
Pushed to master as 9ec3b0

Comment 14 Fedora Blocker Bugs Application 2014-10-23 14:08:06 UTC
Proposed as a Freeze Exception for 21-beta by Fedora user dshea using the blocker tracking app because:

 This is related to the change pushed for bug 1018226. If you start anaconda using a kickstart with no %packages section, anaconda will crash when you enter the software spoke.

Comment 15 Adam Williamson 2014-10-24 18:07:18 UTC
Discussed at 2014-10-24 Go/No-Go meeting: http://meetbot.fedoraproject.org/fedora-meeting-2/2014-10-24/f21_beta_gono-go_meeting.2014-10-24-17.01.log.txt . We were a little reluctant on this one as it seems a fairly minor case to be breaking freeze for, but after a little Gentle Persuasion we got the recalcitrants into line and approved this as an FE - it isn't the end of the world, but use of partial kickstarts is the kind of thing we would actually expect people to be testing in a Beta so it'd be nice if it's not showstopped.

We also considered that the fix for this looks extremely safe - if it's https://lists.fedorahosted.org/pipermail/anaconda-patches/2014-October/014297.html , as I figured. If the fix is something more complex than that, please let us know, as we may want to recosnider the decision.

Comment 16 Fedora Update System 2014-10-28 18:15:28 UTC
anaconda-21.48.13-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/anaconda-21.48.13-1.fc21

Comment 17 Fedora Update System 2014-10-31 02:42:35 UTC
anaconda-21.48.13-1.fc21, python-blivet-0.61.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.